# Uses of Class
com.sun.source.util.DocTreePath

Packages that use DocTreePath
Package
Description
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).
jdk.javadoc.doclet
The Doclet API provides an environment which, in conjunction with the Language Model API and Compiler Tree API, allows clients to inspect the source-level structures of programs and libraries, including API comments embedded in the source.

## Uses of DocTreePath in com.sun.source.util

Methods in com.sun.source.util that return DocTreePath
Modifier and Type
Method
Description
`DocTreePath`
DocTreePathScanner.`getCurrentPath()`
Returns the current path for the node, as built up by the currently active set of scan calls.
`abstract DocTreePath`
DocTrees.`getDocTreePath(FileObject fileObject, PackageElement packageElement)`
Returns a doc tree path containing the doc comment tree of the given file, which must be of one of the supported file types.
`DocTreePath`
DocTreePath.`getParentPath()`
Returns the path for the enclosing node, or `null` if there is no enclosing node.
`static DocTreePath`
DocTreePath.`getPath(DocTreePath path, DocTree target)`
Returns a documentation tree path for a tree node within a subtree identified by a `DocTreePath` object, or `null` if the node is not found.
`static DocTreePath`
DocTreePath.`getPath(TreePath treePath, DocCommentTree doc, DocTree target)`
Returns a documentation tree path for a tree node within a compilation unit, or `null` if the node is not found.
Methods in com.sun.source.util with parameters of type DocTreePath
Modifier and Type
Method
Description
`abstract Element`
DocTrees.`getElement(DocTreePath path)`
Returns the language model element referred to by the leaf node of the given `DocTreePath`, or `null` if unknown.
`static DocTreePath`
DocTreePath.`getPath(DocTreePath path, DocTree target)`
Returns a documentation tree path for a tree node within a subtree identified by a `DocTreePath` object, or `null` if the node is not found.
`abstract TypeMirror`
DocTrees.`getType(DocTreePath path)`
Returns the language model type referred to by the leaf node of the given `DocTreePath`, or `null` if unknown.
`R`
DocTreePathScanner.`scan(DocTreePath path, P p)`
Scans a tree from a position identified by a tree path.
Constructors in com.sun.source.util with parameters of type DocTreePath
Modifier
Constructor
Description
``
`DocTreePath(DocTreePath p, DocTree t)`
Creates a `DocTreePath` for a child node.

## Uses of DocTreePath in jdk.javadoc.doclet

Methods in jdk.javadoc.doclet with parameters of type DocTreePath
Modifier and Type
Method
Description
`default void`
Reporter.`print(Diagnostic.Kind kind, DocTreePath path, int start, int pos, int end, String message)`
Prints a diagnostic message related to a position within a range of characters in a tree node.
`void`
Reporter.`print(Diagnostic.Kind kind, DocTreePath path, String message)`
Prints a diagnostic message related to a tree node in a documentation comment.